Bug 437274 - Soft lockup in force_evtchn_callback on boot
Soft lockup in force_evtchn_callback on boot
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Xen Maintainance List
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 06:47 EDT by Matthew Booth
Modified: 2009-02-13 12:59 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-13 12:59:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Booth 2008-03-13 06:47:14 EDT
Description of problem:
After upgrading to RHEL 5.2 beta, I get the following on every boot:

BUG: soft lockup - CPU#0 stuck for 61s! [swapper:0]

Pid: 0, comm:              swapper
EIP: 0061:[<c0401227>] CPU: 0
EIP is at 0xc0401227
 EFLAGS: 00000246    Not tainted  (2.6.18-84.el5xen #1)
EAX: 00030001 EBX: 00000000 ECX: 00000000 EDX: 00001008
ESI: c226c0cc EDI: 008b3fe8 EBP: c226c000 DS: 007b ES: 007b
CR0: 8005003b CR2: 092bef6f CR3: 00e91000 CR4: 00002660
 [<c05489fc>] force_evtchn_callback+0xa/0xc
 [<c051d375>] acpi_processor_idle+0x185/0x3bc
 [<c051d1f0>] acpi_processor_idle+0x0/0x3bc
 [<c0403334>] cpu_idle+0xa2/0xbc
 [<c06eb9f5>] start_kernel+0x37a/0x381
 =======================
BUG: soft lockup - CPU#1 stuck for 62s! [swapper:0]

Pid: 0, comm:              swapper
EIP: 0061:[<c0401227>] CPU: 1
ACPI: PCI Interrupt 0000:00:1d.2[C] -> GSI 18 (level, low) -> IRQ 23
PCI: Setting latency timer of device 0000:00:1d.2 to 64
uhci_hcd 0000:00:1d.2: UHCI Host Controller
uhci_hcd 0000:00:1d.2: new USB bus registered, assigned bus number 4
uhci_hcd 0000:00:1d.2: irq 23, io base 0x00001860
usb usb4: configuration #1 chosen from 1 choice
hub 4-0:1.0: USB hub found
hub 4-0:1.0: 2 ports detected
EIP is at 0xc0401227
 EFLAGS: 00000246    Not tainted  (2.6.18-84.el5xen #1)
EAX: 00030001 EBX: 00000000 ECX: 00000000 EDX: 00001008
ESI: c0d81ccc EDI: 008b46ee EBP: c0d81c00 DS: 007b ES: 007b
CR0: 8005003b CR2: 08283a24 CR3: 00713000 CR4: 00002660
 [<c05489fc>] force_evtchn_callback+0xa/0xc
 [<c051d375>] acpi_processor_idle+0x185/0x3bc
 [<c051d1f0>] acpi_processor_idle+0x0/0x3bc
 [<c0403334>] cpu_idle+0xa2/0xbc
 =======================

The system appears fine.

Version-Release number of selected component (if applicable):
2.6.18-84.el5xen

How reproducible:
Always
Comment 1 Bill Burns 2008-04-16 20:59:32 EDT
This problem should be fixed by a change made to the -87 kernel. Could you try
that or better yet the latest kernel -90. Thanks.
Comment 2 Bill Burns 2009-02-13 12:59:04 EST
Closing this as it's been in needinfo for many months and we think it is fixed.

Note You need to log in before you can comment on or make changes to this bug.